faked(1)

NAME
faked - Daemon, der sich an gefälschte Besitz-/Zugriffsrechte von Dateien erinnert, die durch fakeroot-Prozesse manipuliert wurden

ÜBERSICHT
faked [--debug] [--foreground] [--cleanup] [--key Nachrichtenschlüssel] [--load] [--save-file zu_speichernde_Datei] [--port TCP-Port]

BESCHREIBUNG
If a fakeroot process wants to change the ownership of a file, then faked is the process that remembers that new owner. If later the same fakeroot process does a stat() for that filename, then the libfakeroot wrapped stat() call will first ask faked for the fake ownership etc. of that file, and then report it.

OPTIONEN

--debug
    gibt Informationen zur Fehlersuche auf der Standardfehlerausgabe aus.

--foreground
    verzweigt nicht in den Hintergrund.

--cleanup number
    bereinigt Semaphore

--key key-number
    Don't allocate a new communication channel, but use channel specified by key. (If the specified channel doesn't exist, it's created).

--save-file save-file
    sichert beim Beenden die Umgebung in zu_speichernde_Datei.

--load
    lädt eine vorher gesicherte Umgebung von der Standardeingabe.

--unknown-is-real
    benutzt echte Besitzrechte von vorher unbekannten Dateien, anstatt sie auf root:root zu setzen.

--port tcp-port
    benutzt TCP-Port tcp-port.

FEHLER
None so far. Be warned, though: although I've written quite a few much larger (and smaller) programs, I've never written anything that was as tiny as fakeroot, had as many bugs as fakeroot, and still was as usable as, say, fakeroot version 0.0_3, the first version that could be used to build itself.

KOPIEREN
fakeroot wird unter den Bedingungnen der GNU General Public License. (GPL 2.0 oder höher) weitergegeben.

AUTOREN

Joost Witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

ÜBERSETZER
Übersetzung bei Chris Leick <debian-l10n-german@lists.debian.org>

HANDBUCHSEITE
mostly by J.H.M. Dassen <jdassen@debian.org> mods/additions by joost and Clint.

SIEHE AUCH
fakeroot(1), dpkg-buildpackage(1), debuild(1), /usr/share/doc/fakeroot/DEBUG